Chromium Code Reviews
Help | Chromium Project | Sign in
(8)

Issue 2650133002: Add TransitionInterpolation class for CSS Transition refactor (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 4 weeks ago by alancutter
Modified:
1 month ago
Reviewers:
Eric Willigers
CC:
darktears, blink-reviews, blink-reviews-animation_chromium.org, chromium-reviews, Eric Willigers, rjwright, shans
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add TransitionInterpolation class for CSS Transition refactor This patch is part of refactoring CSS Transitions to use CSSInterpolationTypes instead of AnimatableValues: https://codereview.chromium.org/2680923005 The TransitionInterpolation class is a sibling of InvalidatableInterpolation and does the same thing except it does not need to deal with additive animations, keyframes being invalidated by the environment and needing reconversion of the InterpolationValues. BUG=681424 Review-Url: https://codereview.chromium.org/2650133002 Cr-Commit-Position: refs/heads/master@{#451262} Committed: https://chromium.googlesource.com/chromium/src/+/2457ae9482f7e385d88cad62e066ee9203159d46

Patch Set 1 #

Patch Set 2 : lint #

Unified diffs Side-by-side diffs Delta from patch set Stats (+171 lines, -10 lines) Patch
M third_party/WebKit/Source/core/animation/BUILD.gn View 2 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/animation/InterpolableValue.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/animation/Interpolation.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/animation/InterpolationType.h View 1 2 chunks +10 lines, -10 lines 0 comments Download
A third_party/WebKit/Source/core/animation/TransitionInterpolation.h View 1 1 chunk +89 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/animation/TransitionInterpolation.cpp View 1 1 chunk +67 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   cast_shell_linux   mac_chromium_rel_ng   win_chromium_rel_ng   linux_android_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-simulator   android_n5x_swarming_rel   win_clang   win_chromium_compile_dbg_ng   android_arm64_dbg_recipe   android_clang_dbg_recipe   android_compile_dbg   cast_shell_android   mac_chromium_compile_dbg_ng   android_cronet   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_android_rel_ng   ios-simulator   linux_chromium_compile_dbg_ng   android_n5x_swarming_rel   win_clang   linux_chromium_rel_ng   android_clang_dbg_recipe   mac_chromium_compile_dbg_ng   android_compile_dbg   linux_chromium_asan_rel_ng   cast_shell_linux   android_cronet   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   ios-device   chromium_presubmit   ios-device-xcode-clang   mac_chromium_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   ios-simulator-xcode-clang   win_chromium_rel_ng   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   ios-simulator   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 13 (8 generated)
Eric Willigers
lgtm
1 month, 3 weeks ago (2017-01-25 21:47:55 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2650133002/20001
1 month ago (2017-02-16 03:39:13 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/323156)
1 month ago (2017-02-16 05:09:52 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2650133002/20001
1 month ago (2017-02-17 00:07:32 UTC) #10
commit-bot: I haz the power
1 month ago (2017-02-17 07:34:52 UTC) #13
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/2457ae9482f7e385d88cad62e066...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62